Loading...
Searching...
No Matches
ServiceNowRestDataProvider::ServiceNowRestDataProvider Class Reference

The ServiceNowRest data provider class. More...

`#include <ServiceNowRestDataProvider.qc.dox.h>`

Inherits DataProvider::AbstractDataProvider.

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (ServiceNowRestClient::ServiceNowRestClient rest)
| Creates the object from the arguments.
string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.

## Public Attributes

const | ConstructorOptions
| Constructor options.
const | EnvOptions
| Environment options.
const | ProviderInfo
| Provider info.
ServiceNowRestClient::ServiceNowRestClient | rest
| The REST client object for API calls.

## Protected Member Functions

*DataProvider::AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or NOTHING if the given child is unknown.
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any.
hash< DataProvider::DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Static Protected Member Functions

static *hash< auto > | getClientOptions (*hash< auto > copts)
| Returns options for the ServiceNowRestClient.

## Detailed Description

The ServiceNowRest data provider class.

## Member Function Documentation

## getChildProviderImpl()

*DataProvider::AbstractDataProvider ServiceNowRestDataProvider::ServiceNowRestDataProvider::getChildProviderImpl | ( | string | name | ) |

protected

Returns the given child provider or NOTHING if the given child is unknown.

Returns
  the given child provider or NOTHING if the given child is unknown

See also
  getChildProviderEx()

## getChildProviderNamesImpl()

*list< string > ServiceNowRestDataProvider::ServiceNowRestDataProvider::getChildProviderNamesImpl | ( |  | ) |

protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any